/* Define variables for colors */
$dropfield-dragover-background: #add8e6;
$dropfield-border: 2px dashed #ccc;
$dropfield-dragover-border: 2px solid #ccc;

.dropfield {
  padding: 100px;
  border: $dropfield-border;
  text-align: center;
  transition: background-color 0.3s;
  margin-bottom: 40px; // Added space at the bottom
  margin-top: 40px;

  /* Nested styling for drag-over state */
  &.drag-over {
    background-color: $dropfield-dragover-background;
    border: $dropfield-dragover-border;
  }
}

.file-selection-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.drag-drop-text {
  flex: 1; /* Allows the text to expand and take available space */
  text-align: left;
  margin-right: 10px; /* Adjust spacing between text and button as needed */
}

/* file-upload.component.scss */

.files-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  gap: 20px;
}

.file-type-column {
  float: left;
  width: 20%; /* Adjust width as necessary */
  padding: 10px;
  box-sizing: border-box;
  /* Add more styles as needed */
}
.selected {
  background-color: #e0e0e0; /* Change to your preferred color for highlighting */
}
/* file-upload.component.scss */
.table-container {
  display: flex;
  justify-content: center; /* Horizontally center the table */
  align-items: center; /* Vertically center the table */
  height: 100%; /* Adjust the height as needed */
}

.file-chooser-button {
  margin: 40px;
}

.mat-cell.selected,
.mat-cell:active {
  background-color: #e0e0e0; /* Example selected background color */
  cursor: pointer;
}

/* Make sure the cell takes up full available space */
.mat-cell {
  width: 100%;
  display: block;
}

.no-data {
  background-color: rgba(255, 0, 0, 0.31); /* Red with 80% opacity */
}
